{
  "name": "self-learning-teacher-web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode self",
    "build:dev": "vite build --mode dev",
    "build:test": "vite build --mode test",
    "build:self": "vite build --mode self",
    "build": "vite build",
    "preview": "vite preview"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@vue-office/docx": "^1.6.3",
    "@vue-office/excel": "^1.7.14",
    "axios": "^1.9.0",
    "echarts": "^6.0.0",
    "element-plus": "^2.9.11",
    "jsencrypt": "^3.5.4",
    "lodash": "^4.17.21",
    "particles.js": "^2.0.0",
    "pdfjs-dist": "^5.4.624",
    "pptx-preview": "^1.0.7",
    "qrcode": "^1.5.4",
    "vue": "^3.5.13",
    "vue-demi": "^0.14.6",
    "vue-pdf-embed": "^2.1.3",
    "vue-router": "^4.5.1",
    "vuex": "^4.1.0"
  },
  "devDependencies": {
    "@types/node": "^22.15.26",
    "@vitejs/plugin-vue": "^5.2.3",
    "@vue/tsconfig": "^0.7.0",
    "sass": "^1.89.0",
    "sass-loader": "^16.0.5",
    "typescript": "~5.8.3",
    "vite": "^6.3.5",
    "vue-tsc": "^2.2.8"
  }
}
